package cc.smtweb.system.bpm.web.design.db;

import cc.smtweb.framework.core.db.vo.ModelTable;
import cc.smtweb.framework.core.mvc.service.DefaultSaveHandler;

/**
 * Created by Akmm at 2022/3/25 11:40
 */
public class ModelTableSaveHanlder extends DefaultSaveHandler<ModelTable> {
    public ModelTableSaveHanlder() {
        super(ModelTable.ENTITY_NAME);
    }

    @Override
    protected void readFromPage() {
        super.readFromPage();
        bean.setContent(bean.getContent());
        bean.setName(bean.getName().toUpperCase());
    }
}
